Rated 1 out of 5 stars

does not work properly in FF 3.5 Disables most of my addons, which is annoying.

This review is for a previous version of the add-on (3.5.1).